Storyden
Nodes

Node Update Properties

Update the properties of a node. New schema fields will result in the schema of the node being updated before values are assigned. This will also propagate to all sibling nodes as they all share the same schema.

PATCH/nodes/{node_slug}/properties

Update the properties of a node. New schema fields will result in the schema of the node being updated before values are assigned. This will also propagate to all sibling nodes as they all share the same schema.

storyden-session<token>

In: cookie

Path Parameters

node_slug*string

Unique node Slug.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Note: Properties are replace-all and are not merged with existing.

Response Body

application/json

application/json

curl -X PATCH "https://example.com/nodes/cc5lnd2s1s4652adtu50/properties" \  -H "Content-Type: application/json" \  -d '{    "properties": [      {        "name": "string",        "value": "string"      }    ]  }'
{
  "properties": [
    {
      "fid": "cc5lnd2s1s4652adtu50",
      "name": "string",
      "type": "text",
      "value": "string",
      "sort": "string"
    }
  ]
}
Empty
Empty
Empty
{
  "type": "string",
  "title": "string",
  "detail": "string",
  "trace_id": "string",
  "metadata": {}
}